suite: Test Return URI
templates:
  - return-uri.yaml
tests:
  - it: basic case
    set:
      ### Helm values:
      upstream:
        service:
          name: foobar-app
          port: 1234
      route:
        hostname: foobar.cern.ch
      ###
    release:
      name: my-test
    asserts:
      - isKind:
          of: OidcReturnURI
      - equal:
          path: metadata.name
          value: my-test-cern-auth-proxy
      - equal:
          path: spec.redirectURI
          value: "https://foobar.cern.ch/oauth2/callback"

  - it: case with custom proxy prefix
    set:
      ### Helm values:
      upstream:
        service:
          name: foobar-app
          port: 1234
      authOptions:
        proxyPrefix: /some-other-path
      route:
        hostname: foobar.cern.ch
      ###
    release:
      name: my-test
    asserts:
      - isKind:
          of: OidcReturnURI
      - equal:
          path: metadata.name
          value: my-test-cern-auth-proxy
      - equal:
          path: spec.redirectURI
          value: "https://foobar.cern.ch/some-other-path/callback"
